Bug 139169 - math/atlas post-build target fails with WKDIRPREFIX defined.
Summary: math/atlas post-build target fails with WKDIRPREFIX defined.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-27 03:50 UTC by tonymaher
Modified: 2011-09-24 20:01 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tonymaher 2009-09-27 03:50:00 UTC
	The post-build target of math/atlas fails.

	In /etc/make.conf I have defined:
	WRKDIRPREFIX=/space

	cd /usr/port/math/atlas
	make -DWITH_STATICLIB
	...
	...
	ATLAS install complete.  Examine 
	ATLAS/bin/<arch>/INSTALL_LOG/SUMMARY.LOG for details.
	make clean
	rm -f *.o x* config?.out *core*
	(cd /space/usr/ports/math/atlas/work/ATLAS; /bin/mkdir -p tmp1 ;
	/bin/cp `cd /space/usr/ports/math/atlas/work/lapack; make -V WRKSRC
	WRKDIRPREFIX=""`/liblapack.a tmp1 ; cd tmp1 ; ar x liblapack.a ; ar x
	../NON_THREADED/lib/liblapack.a ; ar r ../NON_THREADED/lib/libalapack.a
	*.o ; ranlib ../NON_THREADED/lib/libalapack.a )
	cp:
	/space/space/usr/ports/math/atlas/work/lapack/work/lapack-3.2.1/liblapack.a:
	No such file or directory
	*** Error code 1

	Stop in /usr/ports/math/atlas.

	
	Note the duplicate '/space' in '/space/space/usr/ports/...'

Fix: 

I worked around by unsetting WRKDIRPREFIX.
	I believe the problem comes from the following Makefile line

	LAPACKWRKSRC=`cd ${WRKDIR}/lapack; ${MAKE} -V WRKSRC WRKDIRPREFIX=""`

	Sorry no fix.
How-To-Repeat: 	Set WRKDIRPREFIX and

	cd /usr/ports/math/atlas
	make -DWITH_STATICLIB
Comment 1 Edwin Groothuis freebsd_committer 2009-09-27 03:50:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->maho

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Brendan Fabeny freebsd_committer 2011-05-21 12:35:03 UTC
Responsible Changed
From-To: maho->bf

I'll take it.
Comment 3 dfilter service freebsd_committer 2011-09-24 19:37:13 UTC
bf          2011-09-24 18:36:59 UTC

  FreeBSD ports repository

  Modified files:
    math/atlas           Makefile distinfo pkg-descr pkg-plist 
    math/atlas/files     patch-CONFIG+src+SpewMakeInc.c 
                         patch-CONFIG+src+backend+archinfo_freebsd.c 
  Added files:
    math/atlas/files     patch-CONFIG+src+backend+archinfo_x86.c 
                         patch-makes+Make.sysinfo tuning-message 
  Removed files:
    math/atlas/files     Makefile.test alpha-patch 
                         patch-CONFIG+src+atlcomp.txt thread-patch 
  Log:
  Update to 3.8.4 before the 3.10 release; clean up (substantially
  reduce build times, introduce options, drop unneeded dependencies,
  and make linking with ATLAS shared libraries easier)
  
  Thanks to maho and A. Shterenlikht for review and testing, and to
  mm, T.  Ludwig, skreuzer, and E. Lemos de Sa for reminders or related
  submissions
  
  PR:             117923, 139169, 155650, 159876
  
  Revision  Changes    Path
  1.64      +198 -210  ports/math/atlas/Makefile
  1.15      +2 -2      ports/math/atlas/distinfo
  1.4       +0 -35     ports/math/atlas/files/Makefile.test (dead)
  1.2       +0 -9      ports/math/atlas/files/alpha-patch (dead)
  1.2       +52 -7     ports/math/atlas/files/patch-CONFIG+src+SpewMakeInc.c
  1.4       +0 -124    ports/math/atlas/files/patch-CONFIG+src+atlcomp.txt (dead)
  1.2       +88 -26    ports/math/atlas/files/patch-CONFIG+src+backend+archinfo_freebsd.c
  1.3       +14 -0     ports/math/atlas/files/patch-CONFIG+src+backend+archinfo_x86.c (new)
  1.1       +11 -0     ports/math/atlas/files/patch-makes+Make.sysinfo (new)
  1.5       +0 -12     ports/math/atlas/files/thread-patch (dead)
  1.1       +35 -0     ports/math/atlas/files/tuning-message (new)
  1.7       +17 -21    ports/math/atlas/pkg-descr
  1.11      +24 -48    ports/math/atlas/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Brendan Fabeny freebsd_committer 2011-09-24 20:01:28 UTC
State Changed
From-To: open->closed

This should be fixed after the update to 3.8.4.